//Functions
void turnDevicePower (int power,int device, String alias){
  //Turns the desired device relay ON or OFF
  if(digitalRead(device) == HIGH && power == powerOn){
    //Makes sure only one device is ON at a single time
    if(device == heater){
      digitalWrite(vacuum,HIGH);
      vacCicleDone = false;
    } else {
      digitalWrite(heater,HIGH);
      heatCicleDone = false;
    }
    delay(500);
    //Turns it ON
    Serial.println("Turning "+alias+" ON.");
    digitalWrite(device,LOW);
  } else if(digitalRead(device) == LOW && power == powerOff){
    //Turns it OFF
    Serial.println("Turning "+alias+" OFF.");
    digitalWrite(device,HIGH);
  }
}

String getRealTime(long int timeInMillis){
  //Turns milliseconds into a String of minutes and seconds
  int realMinutes = timeInMillis/60000;
  int realSeconds = (timeInMillis%60000)/1000;
  if(realMinutes == 0){
    return((String)realSeconds+" seconds"); 
  } else if (realSeconds == 0){
    return((String)realMinutes+" minutes"); 
  } else {
   return((String)realMinutes+" minutes and "+(String)realSeconds+" seconds"); 
  }
}

void doubleBeep(){
  Serial.println("Beep Beep: Heating complete!");
  tone(buzzer,freq,100);
  delay(100);
  tone(buzzer,freq,100);
}

void singleBeep(){
  Serial.println("Beep: Heating started!");
  tone(buzzer,freq,200);
}
